=== debian/changelog ===
dfc (2.5.0-1) unstable; urgency=low

  * Initial release (Closes: #668905)

 -- Khalid El Fathi <khalid@elfathi.fr>  Sun, 15 Apr 2012 18:00:43 +0200
