=== debian/control ===
Source: dfc
Section: utils
Priority: extra
Maintainer: Khalid El Fathi <khalid@elfathi.fr>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.3.1
Homepage: http://projects.gw-computing.net/projects/dfc
Vcs-Git: git://git.debian.org/collab-maint/dfc.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/dfc.git;a=summary

Package: dfc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: display file system usage using graph and colors
 dfc is a simple tool that display file system usage, using a graph
 and nice colors
 .
 It contains a whole lot of options.
