=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_install:
	cp dfc  $(CURDIR)/debian/dfc/usr/bin/
	cp man/dfc.1 $(CURDIR)/debian/dfc/usr/share/man/man1/
