=== po/CMakeLists.txt ===
GettextTranslate()
