=== debian/changelog ===
dfc (3.1.0-1) unstable; urgency=medium

  [ Sabino Par ]
  * New maintainer (Closes: #858664).
  * Acknowledge NMU (closes: #764538).
  * Update to new compat level 10.
  * Update debian/copyright file.

  [ Axel Beckert ]
  * Import upstream version 3.1.0
    + Enforce cmake as build system, otherwise FTBFS.
    + Update packaging wrt. to renamed documentation files.
    + Handle po/nl.po like po/fr.po.
  * Switch most URLs in packaging to HTTPS.
  * Declare compliance with Debian Policy 3.9.8.
  * Enable all hardening build flags.

 -- Sabino Par <sprab@onenetbeyond.org>  Sat, 15 Jul 2017 13:22:28 +0000
