=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: dfc
 Section: utils
 Priority: extra
-Maintainer: Khalid El Fathi <khalid@elfathi.fr>
-Build-Depends: debhelper (>= 9), cmake
-Standards-Version: 3.9.6
-Homepage: http://projects.gw-computing.net/projects/dfc
-Vcs-Git: git://anonscm.debian.org/collab-maint/dfc.git
+Maintainer: Sabino Par <sprab@onenetbeyond.org>
+Build-Depends: debhelper (>= 10), cmake
+Standards-Version: 3.9.8
+Homepage: https://projects.gw-computing.net/projects/dfc
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/dfc.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dfc.git
 
 Package: dfc
