## dfc 3.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 set(PACKAGE ${CMAKE_PROJECT_NAME})
 set(VERSION_MAJOR 3)
 set(VERSION_MINOR 1)
-set(VERSION_PATCH 0)
+set(VERSION_PATCH 1)
 execute_process(
     COMMAND git rev-parse --short HEAD
     WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
@@ -226,6 +226,7 @@
     "^${PROJECT_SOURCE_DIR}/build/"
     "${PROJECT_SOURCE_DIR}/.gitignore$"
     "${PROJECT_SOURCE_DIR}/po/dfc.pot$"
+    "${PROJECT_SOURCE_DIR}/res/"
     "${CPACK_SOURCE_IGNORE_FILES}")
 include(CPack)
 add_custom_target(dist
