=== debian/changelog ===
dfc (3.1.1-2) unstable; urgency=medium

  * QA upload.

  * Orphan package.  Lots of thanks to the now unavailable Sabino Par for
    his work on the package.
  * Updated Standards-Version from 4.6.2 to 4.7.0.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 16 Apr 2024 16:20:50 +0200

dfc (3.1.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 13.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 27 Feb 2023 07:43:17 +0100

dfc (3.1.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  * Corrected Vcs-Browser d/control line.
  * Updated upstream home information.
  * Updated Standards-Version from 4.0.0 to 4.6.2.
  * Document in d/control no root privileges are needed to build the package.
  * Corrected package priority from extra to optional.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 27 Feb 2023 07:31:54 +0100

dfc (3.1.1-1) unstable; urgency=medium

  [ Sabino Par ]
  * New upstream version 3.1.1.
  * d/control: Set Vcs-* to salsa.debian.org

 -- Sabino Par <sprab@onenetbeyond.org>  Tue, 27 Feb 2018 09:00:28 +0000
